slepc-3.21.1 2024-04-26
Report Typos and Errors

# STType

String with the name of a SLEPc spectral transformation

### Synopsis

    typedef const char* STType;
    #define STSHELL     "shell"
    #define STSHIFT     "shift"
    #define STSINVERT   "sinvert"
    #define STCAYLEY    "cayley"
    #define STPRECOND   "precond"
    #define STFILTER    "filter"

### See Also

STSetType(), ST

### Level

beginner

### Location

include/slepcst.h
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages